<html>
	<head>
		<style>
			.one_user{width:100px;height:200px;float:left;padding:10px 10px 10px 10px;text-align:center;}
			.user_pic{width:100%;height:100px;background-size:cover;border-radius:50%}
			.user_info{padding-top:10px; font-size:12px;}
			.select_btn{width: 100px;
			height: 50px;
			background-color: #ff7c25;
			display: -webkit-box;
			-webkit-box-align: center;
			float: left;
			margin-right: 20px;
			-webkit-box-pack: center;}
			.btn_set{display:inline-block}
		</style>
	</head>
	<body>
		<div class='btn_set'>
			<div class='select_btn' id = 'o1'>집중도 순
			</div>
			<div class='select_btn' id = 'o2'>참여도 순
			</div>
		</div>
		<div class='whole'>
		</div>
	</body>
	
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
	<script>
		var domain = '"https://khneedssleep.com:8000/'
		global_opt = 0
		function test_con(param)
		{
			if(param.latest_pic_path==null)
				param.latest_pic_path = '/images/profile.png"'
			var a = "<div class='one_user'><div class='user_pic' style = 'background-image:url("+domain+param.latest_pic_path+"')></div><div class='user_info'><div class='user_name'>"+param.user.name+"</div><div class='participation_score'>참여도: "+param.participation_score+"</div><div class='concentration_score'>집중도: "+param.concentration_score+"</div></div></div>"
		
			return a
		}
		function get_all_student(opt)
		{
			$.get("/student_lecture_logs/get_by_lecture/<%= lecture_id %>/"+opt, function(data, status)
				{
					$('.whole').html('')
					for(var i=0;i<data.length;i++)
					{
						if(data[i].participation_score==null)
							data[i].participation_score = 0;
						data[i].concentration_score = (data[i].concentration_score_type + data[i].concentration_score_time)/2
						
						$('.whole').append(test_con(data[i]))
					}
					
					
				});
		}
		$('.select_btn').click(function(){
			var thisobj = $(this)
			if(thisobj.attr('id')=='o1')
				global_opt = 0
			else if (thisobj.attr('id')=='o2')
				global_opt = 1
			
		})
		setInterval(function(){get_all_student(global_opt)}, 2000);

		
	</script>
</html>